#!/bin/bash
set -e
IFS=$'\n\n'

export Environment='Staging'

# Import external functions
chmod +x ./devops/PipeLines/Functions.config.sh
source ./devops/PipeLines/Functions.config.sh

GetAppName appName
echo ""
echo "Begin creating ${appName}'s settings to the configmap of k8s..."

GetNameSpace namespace


# global variable
GetAccessToken AccessToken
GetRegistryHost RegistryHost
GetK8sApiServer K8sApiServer
GetKongApiServer KongApiServer
GetKongRouteDomain KongRouteDomain

for servicePrefix in `ls ./src/Services|xargs -d '/'`
do
  GetServiceName ${servicePrefix} serviceName
  GetServiceDir ${servicePrefix} ${serviceName} serviceDir
  CreateConfig ${Environment} ${namespace} ${K8sApiServer} ${serviceDir} ${servicePrefix}
done

echo ""
echo "End creating app settings to the configmap of k8s..."